## twisted 16.0.0

=== debian/changelog ===
twisted (16.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Matthias Klose <doko@debian.org>  Fri, 18 Mar 2016 16:55:22 +0100

twisted (16.0.0~pre3-1) experimental; urgency=medium

  * New upstream beta release.

 -- Matthias Klose <doko@debian.org>  Thu, 10 Mar 2016 15:58:44 +0100

twisted (16.0.0~pre1-3) experimental; urgency=medium

  * Add twisted.conch.ssh._cryptography_backports for Python3 installations.
    Issue #8220. LP: #1549731.
  * Add twisted.conch._version for Python3 installations. LP: #1549389.

 -- Matthias Klose <doko@debian.org>  Thu, 25 Feb 2016 17:40:37 +0100

twisted (16.0.0~pre1-2) experimental; urgency=medium

  * Fix issue #8216, add twisted.cred.strcred for Python3 installations.
    LP: #1548972.

 -- Matthias Klose <doko@debian.org>  Wed, 24 Feb 2016 12:15:53 +0100

twisted (16.0.0~pre1-1) experimental; urgency=medium

  * New upstream beta release.

 -- Matthias Klose <doko@debian.org>  Tue, 16 Feb 2016 12:08:18 +0100

twisted (15.5.0-4) unstable; urgency=medium

  * Add Breaks, for all python-twisted-* Replaces.

 -- Matthias Klose <doko@debian.org>  Mon, 14 Dec 2015 14:08:37 +0100

twisted (15.5.0-3) unstable; urgency=medium

  * Build a python3-twisted package. Closes: #763149.
  * Move all python-twisted-* manual packages into python-twisted-core.
    Update Breaks/Replaces. Closes: #806167.

 -- Matthias Klose <doko@debian.org>  Tue, 01 Dec 2015 11:33:20 +0100

twisted (15.5.0-2) unstable; urgency=medium

  * Fix python-twisted-conch version number in Replaces.

 -- Matthias Klose <doko@debian.org>  Tue, 01 Dec 2015 11:26:47 +0100

twisted (15.5.0-1) unstable; urgency=medium

  * New upstream release. Closes: #806643.
  * Add replaces for upgrades from versions 15.2.x and below.
    Closes: #806167.
  * Add breaks to torbrowser-launcher, python-scrapy and txsocksx.
    Closes: #794367.
  * Merge from Ubuntu:
    - web/client: allow IPv6 addresses. LP: #1505748.

 -- Matthias Klose <doko@debian.org>  Mon, 30 Nov 2015 12:58:43 +0100

twisted (15.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Support for sub-projects has been droped, so Debian is going
    to transition to a single-package model as well. For now all
    sub-packages have been kept and turned into close-to-dummy
    packages containing no code and only some documentation. This
    should reduce the risk of breaking people that do still pull
    these packages. Eventually they will be dropped.
    See https://twistedmatrix.com/trac/ticket/7964.
  * The lore package has been dropped since it's been removed upstream
    in favor of sphinx.
  * Build-Depend on python-setuptools

 -- Free Ekanayaka <freee@debian.org>  Fri, 09 Oct 2015 11:00:16 +0200
