=== debian/control ===
Source: twisted
Section: python
Priority: optional
Maintainer: Matthias Klose <doko@debian.org>
Uploaders: Free Ekanayaka <freee@debian.org>
Build-Depends: debhelper (>=7.0.50~), patch,
  python-all-dev, python-all-dbg,
  python-zope.interface-dbg (>= 4.0.2), python-setuptools,
  dh-python,
  python3-all-dev,
  python3-zope.interface (>= 4.0.2), python3-setuptools
XS-Python-Version: all
Standards-Version: 3.9.7

Package: python3-twisted
Architecture: all
Depends: ${python3:Depends},
# python3-twisted-bin (>= ${source:Version}),
  python3-zope.interface (>= 4.0.2),
  ${misc:Depends},
  python3-openssl, python3-service-identity
Suggests: python3-tk, python3-gtk2, python3-glade2, python3-qt4, python3-wxgtk2.8
Recommends: python3-pam, python3-serial
Provides: ${python:Provides}
Conflicts: python3-twisted-experimental
Replaces: python3-twisted-experimental
Description: Event-based framework for internet applications
 It includes a web server, a telnet server, a multiplayer RPG engine, a
 generic client and server for remote object access, and APIs for creating
 new protocols.

#Package: python3-twisted-bin
#Architecture: any
#Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
#Provides: ${python:Provides}
#Suggests: python3-twisted-bin-dbg
#Description: Event-based framework for internet applications
# It includes a web server, a telnet server, a multiplayer RPG engine, a 
# generic client and server for remote object access, and APIs for creating 
# new protocols.

#Package: python3-twisted-bin-dbg
#Priority: extra
#Section: debug
#Architecture: any
#Depends: python3-zope.interface-dbg, python3-twisted-bin (= ${binary:Version}), python3-dbg, ${shlibs:Depends}, ${misc:Depends}
#Description: Event-based framework for internet applications (debug extension)
# It includes a web server, a telnet server, a multiplayer RPG engine, a 
# generic client and server for remote object access, and APIs for creating 
# new protocols.
# .
# This package contains the extension built for the Python debug interpreter.

Package: python-twisted-bin
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Suggests: python-twisted-bin-dbg
Replaces: python-twisted-runner (<< 15.5.0-3),
Description: Event-based framework for internet applications
 It includes a web server, a telnet server, a multiplayer RPG engine, a 
 generic client and server for remote object access, and APIs for creating 
 new protocols.

Package: python-twisted-bin-dbg
Priority: extra
Section: debug
Architecture: any
Depends: python-twisted-bin (= ${binary:Version}),
  python-zope.interface-dbg, python-dbg,
  ${shlibs:Depends}, ${misc:Depends}
Replaces: python-twisted-runner-dbg (<< 15.5.0-3),
Description: Event-based framework for internet applications (debug extension)
 It includes a web server, a telnet server, a multiplayer RPG engine, a 
 generic client and server for remote object access, and APIs for creating 
 new protocols.
 .
 This package contains the extension built for the Python debug interpreter.

Package: python-twisted-core
Architecture: all
Depends: python-twisted-bin (>= ${source:Version}),
  python-zope.interface (>= 4.0.2),
  ${python:Depends}, ${misc:Depends},
  python-openssl, python-service-identity
Suggests: python-tk, python-gtk2, python-glade2, python-qt3, python-wxgtk3.0
Recommends: python-pam, python-serial
Provides: ${python:Provides}
Replaces: python-twisted-conch (<< 1:15.5.0-3),
  python-twisted-mail (<< 15.5.0-3),
  python-twisted-names (<< 15.5.0-3),
  python-twisted-news (<< 15.5.0-3),
  python-twisted-runner (<< 15.5.0-3),
  python-twisted-web (<< 15.5.0-3),
  python-twisted-words (<< 15.5.0-3)
Breaks: python-twisted-conch (<< 1:15.5.0-3),
  python-twisted-mail (<< 15.5.0-3),
  python-twisted-names (<< 15.5.0-3),
  python-twisted-news (<< 15.5.0-3),
  python-twisted-runner (<< 15.5.0-3),
  python-twisted-web (<< 15.5.0-3),
  python-twisted-words (<< 15.5.0-3),
  torbrowser-launcher (<= 0.2.0-1~),
  python-scrapy (<< 1.0.0-1~),
  txsocksx (<< 1.13.0.4-1~)
Description: Event-based framework for internet applications
 It includes a web server, a telnet server, a multiplayer RPG engine, a
 generic client and server for remote object access, and APIs for creating
 new protocols.
 .
 Additionally it includes protocol-specific implementations such as:
 .
 Twisted Conch: a client/server implementation of the SSH protocol,
 using the twisted framework.
 .
 Twisted Mail: contains high-level, efficient protocol implementations
 for both clients and servers of SMTP, POP3, and IMAP4. Additionally,
 it contains an "out of the box" combination SMTP/POP3 virtual-hosting
 mail server. Also included is a read/write Maildir implementation and
 a basic Mail Exchange calculator (depends on Twisted Names).
 .
 Twisted Web: a web server, and also provides basic HTTP client
 support. You may want to check out Nevow, a templating toolkit
 designed for twisted.web, and Twisted Web2, the next generation
 Twisted web server.
 .
 Twisted Words includes:
  - Low-level protocol implementations of OSCAR (AIM and ICQ), IRC, MSN,
    TOC (AIM).
  - Jabber libraries.
  - Prototypes of chat server and client frameworks built on top
    of the protocols.

Package: python-twisted-conch
Architecture: all
Depends: python-twisted-core (>= ${source:Version}), 
  python-crypto (>= 2.0.1+dfsg1-1.1), python-pyasn1,
  ${python:Depends}, ${misc:Depends}
Provides: conch, ${python:Provides}
Description: twisted dummy package for Twisted SSH Implementation
 All the code has been moved to python-twisted-core, this package
 contains only documentation and is going to be removed.
 See https://twistedmatrix.com/trac/ticket/7964.

Package: python-twisted-mail
Architecture: all
Depends: python-twisted-core (>= ${source:Version}),
  python-openssl,
  ${python:Depends}, ${misc:Depends}
Recommends: python-twisted-names
Description: twisted dummy package for SMTP, IMAP and POP protocol implementation
 All the code has been moved to python-twisted-core, this package
 contains only documentation and is going to be removed.
 See https://twistedmatrix.com/trac/ticket/7964.

Package: python-twisted-names
Architecture: all
Depends: python-twisted-core (>= ${source:Version}),
  ${python:Depends}, ${misc:Depends}
Description: twisted package for DNS protocol implementation
 All the code has been moved to python-twisted-core, this package
 contains only documentation and is going to be removed.
 See https://twistedmatrix.com/trac/ticket/7964.

Package: python-twisted-news
Architecture: all
Depends: python-twisted-core (>= ${source:Version}),
  ${python:Depends}, ${misc:Depends}
Description: twisted dummy package for NNTP protocol implementation
 All the code has been moved to python-twisted-core, this package
 contains only documentation and is going to be removed.
 See https://twistedmatrix.com/trac/ticket/7964.

Package: python-twisted-runner
Architecture: any
Depends: python-twisted-core (>= ${source:Version}),
  ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Suggests: python-twisted-runner-dbg
Description: twisted dummy package for process management
 All the code has been moved to python-twisted-core, this package
 contains only documentation and is going to be removed.
 See https://twistedmatrix.com/trac/ticket/7964.

Package: python-twisted-runner-dbg
Section: debug
Priority: extra
Architecture: any
Depends: python-twisted-runner (= ${binary:Version}),
  python-dbg,
  ${shlibs:Depends}, ${misc:Depends}
Description: twisted dummy package for process management
 All the code has been moved to python-twisted-bin-dbg, this package
 contains only documentation and is going to be removed.
 See https://twistedmatrix.com/trac/ticket/7964.

Package: python-twisted-web
Architecture: all
Depends: python-twisted-core (>= ${source:Version}),
  ${python:Depends}, ${misc:Depends}
Description: twisted dummy package for HTTP protocol implementation
 All the code has been moved to python-twisted-core, this package
 contains only documentation and is going to be removed.
 See https://twistedmatrix.com/trac/ticket/7964.

Package: python-twisted-words
Architecture: all
Depends: python-twisted-core (>= ${source:Version}),
  python-openssl,
  ${python:Depends}, ${misc:Depends}
Description: twisted dummy package for Chat and Instant Messaging
 All the code has been moved to python-twisted-core, this package
 contains only documentation and is going to be removed.
 See https://twistedmatrix.com/trac/ticket/7964.

Package: twisted-doc
Section: doc
Priority: extra
Architecture: all
Depends: ${misc:Depends}
Suggests: python-twisted
Recommends: www-browser | postscript-viewer | pdf-viewer
Description: Official documentation of Twisted
 This contains various HOWTOs and overviews in various formats
 .
 Twisted is an event-based framework for internet applications.
 It includes a web server, a telnet server, a multiplayer RPG engine, a 
 generic client and server for remote object access, and APIs for creating 
 new protocols.

Package: python-twisted
Architecture: all
Priority: extra
Depends: python-twisted-core (>= ${source:Version}),
  ${python:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: Event-based framework for internet applications (dependency package)
 This is a dependency package that depends on the twisted core library and
 all the libraries split out to separate packages starting with Twisted-2.0.1.
