=== debian/watch ===
version=3
http://twistedmatrix.com/Releases/Twisted/(\d\d\.\d)/Twisted-([\d\.]*)\.tar\.bz2
