## twisted 16.2.0

=== debian/changelog ===
twisted (16.2.0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 May 2016 12:16:54 +0000

twisted (16.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Free Ekanayaka <freee@debian.org>  Sat, 21 May 2016 08:18:31 +0000

twisted (16.1.1-1) unstable; urgency=medium

  * New upstream release.
  * python3-twisted: Clean plugin cache on removal. Closes: #810692.

 -- Matthias Klose <doko@debian.org>  Sat, 16 Apr 2016 15:45:15 +0200
