=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
   dh-python,
   python3-all-dev,
   python3-zope.interface (>= 4.0.2), python3-setuptools
+Build-Depends-Indep: python3-sphinx
 XS-Python-Version: all
 Standards-Version: 3.9.7
 
@@ -217,7 +218,7 @@
 Section: doc
 Priority: extra
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Suggests: python-twisted
 Recommends: www-browser | postscript-viewer | pdf-viewer
 Description: Official documentation of Twisted
