=== debian/rules ===
--- 
+++ 
@@ -35,12 +35,12 @@
 	touch $@
 
 build-doc:
-ifeq ($(with_docs),yes)
-	-pydoctor --html-write-function-pages --add-package twisted
-endif
+	$(MAKE) -C docs html
+	touch $@
 
 clean:
 	rm -rf *-stamp build-python* build tmp
+	rm -rf docs/_build build-doc
 	rm -rf build3-python*
 	rm -rf apidocs py3
 	rm -rf $(addprefix debian/,$(packages)) debian/files debian/substvars
@@ -108,14 +108,7 @@
 	python$* setup3.py install \
 		--root=$(CURDIR)/debian/python3-twisted --install-layout=deb
 
-	: # FIXME: upstream installs into prefix, not libdir
-	(cd debian/python3-twisted/usr; tar cf - twisted) \
-	   | (cd debian/python3-twisted/usr/lib/python3/dist-packages; tar xf - twisted)
-	rm -rf debian/python3-twisted/usr/twisted
-	find debian/python3-twisted -name 'topfiles' -type d | xargs -r rm -rf
-
 	find debian/python3-twisted -name '__pycache__' | xargs -r rm -rf
-#	rm -rf debian/python3-twisted/usr/lib/python$*/*-packages/twisted/python/pymodules
 
 ifeq (0,1)
 	: # python3-twisted-bin
@@ -157,9 +150,9 @@
 	: # python man pages
 	mkdir -p debian/python-twisted-core/usr/share/man/man1
 	for i in \
-	  doc/core/man/{manhole,pyhtmlizer,tap2deb,tap2rpm,trial,twistd}.1 \
-	  doc/conch/man/{cftp,ckeygen,conch,tkconch}.1 \
-	  doc/mail/man/mailmail.1; \
+	  docs/core/man/{manhole,pyhtmlizer,tap2deb,tap2rpm,trial,twistd}.1 \
+	  docs/conch/man/{cftp,ckeygen,conch,tkconch}.1 \
+	  docs/mail/man/mailmail.1; \
 	do \
 	  cp $$i debian/python-twisted-core/usr/share/man/man1/.; \
 	done
@@ -167,7 +160,7 @@
 		debian/python-twisted-core/usr/bin/conchftp
 	mv debian/python-twisted-core/usr/share/man/man1/cftp.1 \
 		debian/python-twisted-core/usr/share/man/man1/conchftp.1
-	sed -i '/^\.Nm /s/cftp/conchftp/' \
+	sed -i '/^\.Nm /s/cftp/conchftp/;s/CFTP/CONCHFTP/' \
 		debian/python-twisted-core/usr/share/man/man1/conchftp.1
 
 	: # python3 man pages
@@ -175,7 +168,7 @@
 	  mv $$i $${i}3; \
 	done
 	mkdir -p debian/python3-twisted/usr/share/man/man1
-	for i in doc/core/man/{trial,twistd}.1; do \
+	for i in docs/core/man/{trial,twistd}.1; do \
 	  i2=$$(basename $$i .1)3.1; \
 	  cp -p $$i debian/python3-twisted/usr/share/man/man1/$$i2; \
 	done
@@ -183,15 +176,18 @@
 ifeq ($(with_docs),yes)
 	: # twisted-doc
 	mkdir -p debian/twisted-doc/usr/share/doc/twisted-doc
-	cp -a doc/core/* debian/twisted-doc/usr/share/doc/twisted-doc/
+	cp -a docs/core/* debian/twisted-doc/usr/share/doc/twisted-doc/
 	-find debian/twisted-doc -type d -name man | xargs rm -rf
 endif
 
-binary-indep: build-indep install
+binary-indep: build-indep build-doc install
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs -i
 	dh_installdocs -i
+	cp -a docs/_build/html debian/twisted-doc/usr/share/doc/twisted-doc/.
+	dh_sphinxdoc -ptwisted-doc
+
 ifeq ($(with_docs),yes)
 	cp -ua apidocs debian/twisted-doc/usr/share/doc/twisted-doc/
 	# Replace links to Twisted website API doc by links to the local doc. We
@@ -230,3 +226,8 @@
 	ln -s python-twisted-bin \
 	    debian/python-twisted-bin-dbg/usr/share/doc/python-twisted-bin-dbg
 	dh_strip -ppython-twisted-runner --dbg-package=python-twisted-runner-dbg
+	rm -rf debian/python-twisted-runner-dbg/usr/share/doc/python-twisted-runner-dbg
+	ln -s python-twisted-runner \
+            debian/python-twisted-runner-dbg/usr/share/doc/python-twisted-runner-dbg
+ifeq (0,1)
+	dh_strip -ppython3-twisted-bin --dbg-package=python3-twisted-bin-dbg
