## twisted 16.3.0

=== debian/changelog ===
twisted (16.3.0-1~bpo8+1) UNRELEASED; urgency=medium

  * jessie-backports Rebuilt for jessie.

 -- Free Ekanayaka <freee@debian.org>  Thu, 11 Aug 2016 12:53:02 +0000

twisted (16.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop tap2deb.diff patch, since the script has been removed by
    upstream (see #8326).

 -- Free Ekanayaka <freee@debian.org>  Sat, 30 Jul 2016 17:24:58 +0000
