## twisted 16.4.0

=== debian/changelog ===
twisted (16.4.0-1~bpo8+1) UNRELEASED; urgency=medium

  * jessie-backports Rebuilt for jessie.

 -- Free Ekanayaka <freee@debian.org>  Thu, 01 Sep 2016 15:04:23 +0000

twisted (16.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop fix-man-error.diff patch, since the issue has been fixed upstream.
  * Replace setup3.py with setup.py in debian/rules (there's a single file
    now)

 -- Free Ekanayaka <freee@debian.org>  Tue, 30 Aug 2016 09:53:49 +0000
