=== debian/rules ===
--- 
+++ 
@@ -30,8 +30,8 @@
 	touch $@
 
 build3-python%:
-	python$* setup3.py build
-#	python$*-dbg setup3.py build
+	python$* setup.py build
+#	python$*-dbg setup.py build
 	touch $@
 
 build-doc:
@@ -105,25 +105,16 @@
 
 install3-python%: install-prereq
 	: # python3-twisted $*
-	python$* setup3.py install \
+	python$* setup.py install \
 		--root=$(CURDIR)/debian/python3-twisted --install-layout=deb
 
 	find debian/python3-twisted -name '__pycache__' | xargs -r rm -rf
 
-ifeq (0,1)
 	: # python3-twisted-bin
-ifeq ($(DEB_HOST_ARCH_OS), linux)
 	dh_movefiles -ppython3-twisted-bin \
-	  --sourcedir=debian/python3-twisted-core \
-	    $(call py_libdir,$*)/twisted/python/sendmsg.cpython-$(subst .,,$*)m.so \
-	    $(call py_libdir,$*)/twisted/test/raiser.cpython-$(subst .,,$*)m.so
-else
-	dh_movefiles -ppython3-twisted-bin \
-	  --sourcedir=debian/python3-twisted-core \
-	    $(call py_libdir,$*)/twisted/python/sendmsg.cpython-$(subst .,,$*)m.so \
-	    $(call py_libdir,$*)/twisted/test/raiser.cpython-$(subst .,,$*)m.so
-endif
-endif
+	  --sourcedir=debian/python3-twisted \
+	    $(call py_libdir,$*)/twisted/test/raiser.cpython-$(subst .,,$*)m-$(DEB_HOST_GNU_TYPE).so
+#	    $(call py_libdir,$*)/twisted/python/sendmsg.cpython-$(subst .,,$*)m-$(DEB_HOST_GNU_TYPE).so
 
 	: # Replace all '#!' calls to python with /usr/bin/python3
 	: # and make them executable
@@ -140,7 +131,7 @@
 	done
 ifeq (0,1)
 	: # python-twisted-bin-dbg
-	python$*-dbg setup3.py install \
+	python$*-dbg setup.py install \
 		--root=$(CURDIR)/debian/python3-twisted-bin-dbg --no-compile --install-layout=deb
 	find debian/python3-twisted-bin-dbg ! -type d ! -name '*.so' | xargs rm -f
 	find debian/python3-twisted-bin-dbg -depth -empty -exec rmdir {} \;
@@ -231,3 +222,14 @@
             debian/python-twisted-runner-dbg/usr/share/doc/python-twisted-runner-dbg
 ifeq (0,1)
 	dh_strip -ppython3-twisted-bin --dbg-package=python3-twisted-bin-dbg
+	rm -rf debian/python3-twisted-bin-dbg/usr/share/doc/python3-twisted-bin-dbg
+	ln -s python3-twisted-bin \
+	    debian/python3-twisted-bin-dbg/usr/share/doc/python3-twisted-bin-dbg
+endif
+	dh_compress -a -X.py
+	dh_fixperms -a
+	dh_python2 -a
+	dh_python3 -a
+	dh_installdeb -a
+	dh_shlibdeps -a
+	dh_gencontrol -a
