## twisted 16.4.1

=== debian/changelog ===
twisted (16.4.1-3mx150+1) mx; urgency=medium

  * Repackaged for MX 15.

 -- Mike Elstad (v3g4n) <v3g4n@mxlinux.org>  Sun, 30 Oct 2016 01:26:09 -0500

twisted (16.4.1-3) unstable; urgency=medium

  * Bump debhelper compat to 9
  * Fix Closes syntax in changelog
  * Mark python-twisted-core as Multi-Arch: foreign

 -- Free Ekanayaka <freee@debian.org>  Thu, 27 Oct 2016 17:17:43 +0000

twisted (16.4.1-2) unstable; urgency=medium

  * Add Vcs-Git and Vcs-Browser stanzas pointing to Alioth.
  * Don't remove Twisted.egg-info in the clean target, as it's part of
    the upstream source.
  * Point watch file to pypi.debian.ne.
  * Add lintian overrides for privacy-breach-google-adsense
  * Strip raiser shared library in python3-twisted-bin
  * Drop legacy XS-Python-Version control field
  * Use local copies of object.inv for building sphinx docs. Closes: #836169.
  * Fix insecure PYTHONPATH example. Closes: #605190, #605192.
  * Set Debian Python Modules Team as Maintaner, move Matthias and myself
    to Uploaders.

 -- Free Ekanayaka <freee@debian.org>  Fri, 21 Oct 2016 09:47:56 +0000

twisted (16.4.1-1) unstable; urgency=medium

  * New upstream (bug fix) release.

 -- Matthias Klose <doko@debian.org>  Wed, 28 Sep 2016 02:13:13 +0200

twisted (16.4.0-2) unstable; urgency=medium

  * Fix build on x86 targets.
  * Build architecture dependent packages for Python3.

 -- Matthias Klose <doko@debian.org>  Wed, 31 Aug 2016 09:38:30 +0200
