=== debian/rules ===
--- 
+++ 
@@ -31,7 +31,7 @@
 
 build3-python%:
 	python$* setup.py build
-#	python$*-dbg setup.py build
+	python$*-dbg setup.py build
 	touch $@
 
 build-doc:
@@ -45,7 +45,6 @@
 	rm -rf apidocs py3
 	rm -rf $(addprefix debian/,$(packages)) debian/files debian/substvars
 	rm -rf _trial_temp test.log
-	rm -rf Twisted.egg-info
 	rm -f twisted/plugins/dropin.cache
 	find -name '__pycache__' -type d | xargs -r rm -rf
 	find . -name "*.pyc" |xargs -r rm
@@ -68,9 +67,6 @@
 
 	python$* setup.py install --root=tmp --install-layout=deb
 	cp -r tmp$(call py_libdir,$*)/Twisted-*.egg-info debian/python-twisted-core$(call py_libdir,$*)/
-
-	: # We don't release the Twisted Pair package, as it's not developed anymore
-	rm -rf debian/python-twisted-core$(call py_libdir,$*)/twisted/pair
 
 	find debian/python-twisted-core -name 'topfiles' -type d | xargs -r rm -rf
 
@@ -113,8 +109,8 @@
 	: # python3-twisted-bin
 	dh_movefiles -ppython3-twisted-bin \
 	  --sourcedir=debian/python3-twisted \
-	    $(call py_libdir,$*)/twisted/test/raiser.cpython-$(subst .,,$*)m-$(DEB_HOST_GNU_TYPE).so
-#	    $(call py_libdir,$*)/twisted/python/sendmsg.cpython-$(subst .,,$*)m-$(DEB_HOST_GNU_TYPE).so
+	    $(call py_libdir,$*)/twisted/test/raiser.cpython-$(subst .,,$*)m-$(DEB_HOST_MULTIARCH).so
+#	    $(call py_libdir,$*)/twisted/python/sendmsg.cpython-$(subst .,,$*)m-$(DEB_HOST_MULTIARCH).so
 
 	: # Replace all '#!' calls to python with /usr/bin/python3
 	: # and make them executable
@@ -129,13 +125,12 @@
 	    echo "fixed interpreter: $$i"; \
 	  fi; \
 	done
-ifeq (0,1)
+
 	: # python-twisted-bin-dbg
 	python$*-dbg setup.py install \
 		--root=$(CURDIR)/debian/python3-twisted-bin-dbg --no-compile --install-layout=deb
 	find debian/python3-twisted-bin-dbg ! -type d ! -name '*.so' | xargs rm -f
 	find debian/python3-twisted-bin-dbg -depth -empty -exec rmdir {} \;
-endif
 
 install-nover:
 	: # python man pages
@@ -194,6 +189,7 @@
 	dh_installmenu -i
 	dh_compress -i -X.py
 	dh_fixperms -i
+	dh_lintian -i
 	dh_python2 -i
 	dh_python3 -i
 	dh_installdeb -i
@@ -210,22 +206,25 @@
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs -a
+	dh_lintian -a
 	dh_installdocs -a
 	dh_installmenu -a
+
 	dh_strip -ppython-twisted-bin --dbg-package=python-twisted-bin-dbg
 	rm -rf debian/python-twisted-bin-dbg/usr/share/doc/python-twisted-bin-dbg
 	ln -s python-twisted-bin \
 	    debian/python-twisted-bin-dbg/usr/share/doc/python-twisted-bin-dbg
+
 	dh_strip -ppython-twisted-runner --dbg-package=python-twisted-runner-dbg
 	rm -rf debian/python-twisted-runner-dbg/usr/share/doc/python-twisted-runner-dbg
 	ln -s python-twisted-runner \
             debian/python-twisted-runner-dbg/usr/share/doc/python-twisted-runner-dbg
-ifeq (0,1)
+
 	dh_strip -ppython3-twisted-bin --dbg-package=python3-twisted-bin-dbg
 	rm -rf debian/python3-twisted-bin-dbg/usr/share/doc/python3-twisted-bin-dbg
 	ln -s python3-twisted-bin \
 	    debian/python3-twisted-bin-dbg/usr/share/doc/python3-twisted-bin-dbg
-endif
+
 	dh_compress -a -X.py
 	dh_fixperms -a
 	dh_python2 -a
@@ -233,3 +232,9 @@
 	dh_installdeb -a
 	dh_shlibdeps -a
 	dh_gencontrol -a
+	dh_md5sums -a
+	dh_builddeb -a
+
+binary: binary-indep binary-arch
+.PHONY: build clean binary-indep binary-arch binary install install-nover install-prereq
+.NOTPARALLEL:
